rem Build autoexec.bat

echo.
echo Generating autoexec.bat...



c:
cd\
copy c:\snfcfg\atop.lne autoexec.bat >NUL

if "%dosver%"=="6" copy autoexec.bat + c:\snfcfg\aconfig.lne >NUL

if not "%slots%"=="2" goto slot_1
copy autoexec.bat + c:\snfcfg\asniffer.2 >NUL
if "%color%"=="c" copy autoexec.bat + c:\snfcfg\acolor.lne >NUL 
if "%color%"=="m" copy autoexec.bat + c:\snfcfg\amono.lne >NUL
copy autoexec.bat + c:\snfcfg\arest.2 >NUL
goto slot_2

:slot_1
if not "%isa%"=="y" goto :skipisa
copy autoexec.bat + c:\snfcfg\asniffer.2 >NUL
if "%color%"=="c" copy autoexec.bat + c:\snfcfg\acolor.lne >NUL
if "%color%"=="m" copy autoexec.bat + c:\snfcfg\amono.lne >NUL
copy autoexec.bat + c:\snfcfg\arest.isa >NUL

:skipisa
if not "%eflag%"=="e" goto check_t
if "%eflag%"=="e" copy autoexec.bat + c:\snfcfg\asniffer.e >NUL
if "%color%"=="c" copy autoexec.bat + c:\snfcfg\acolor.lne >NUL
if "%color%"=="m" copy autoexec.bat + c:\snfcfg\amono.lne  >NUL
if "%eflag%"=="e" copy autoexec.bat + c:\snfcfg\arest.e    >NUL

:check_t
if not "%tflag%"=="t" goto slot_2
if "%tflag%"=="t" copy autoexec.bat + c:\snfcfg\asniffer.t >NUL
if "%color%"=="c" copy autoexec.bat + c:\snfcfg\acolor.lne >NUL
if "%color%"=="m" copy autoexec.bat + c:\snfcfg\amono.lne  >NUL
if "%tflag%"=="t" copy autoexec.bat + c:\snfcfg\arest.t    >NUL
:slot_2

if "%dosver%"=="5" goto done
if "%word%"=="w" copy autoexec.bat + c:\snfcfg\awindows.tag >NUL
copy autoexec.bat + c:\snfcfg\ados.tag >NUL
copy autoexec.bat + c:\snfcfg\arest.tag >NUL

:done
